package com.muyu.cloud.etl.service.impl;

import com.muyu.cloud.etl.mapper.AccreditMapper;
import com.muyu.cloud.etl.service.AccreditService;
import com.muyu.domain.Accredit;
import com.muyu.domain.rep.AccreditDeptRep;
import com.muyu.domain.rep.AccreditUserRep;
import com.muyu.domain.req.AccreditReq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AccreditServiceImpl implements AccreditService{
    @Autowired
    private AccreditMapper accreditMapper;

    @Override
    public Accredit findAccredit(Long tableId) {
        Accredit accredit = accreditMapper.findAccredit(tableId);
//        if(accredit==null){
//           return accreditMapper.findAccreditBasic(tableId);
//        }
        return accredit;
    }

    @Override
    public List<AccreditDeptRep> findDeptListStatus(Long tableId, Long basicId) {
       return accreditMapper.findDeptListStatus(tableId,basicId);

    }

    @Override
    public List<AccreditUserRep> findUserListStatus(Long tableId, Long basicId) {
        return accreditMapper.findUserListStatus(tableId,basicId);
    }

    @Override
    public Integer addMiddle(AccreditReq accreditReq) {
        return accreditMapper.addMiddle(accreditReq);
    }

    @Override
    public Integer remove(AccreditReq accreditReq) {
        return accreditMapper.remove(accreditReq);
    }

    @Override
    public List<Integer> findUserTableIds(Long userId) {
        return accreditMapper.findUserTableIds(userId);
    }

    @Override
    public List<Integer> findDeptTableIds(Long deptId) {
        return accreditMapper.findDeptTableIds(deptId);
    }
}
