package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

//资产授权基本信息表
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Accredit {
    //表ID
    private Long id;
    //数据源Id
    private Long basicId;
    //接入源名称
    private String dataResourceName;
    //数据来源系统名称
    private String dataSourceSystemName;
    //数据库名称
    private String dataBaseName;
    //表名称
    private String tableNameB;
    //数据量
    private Long dataNum;
    //表中文名称
    private String tableRemark;
}
